PVideoDevice::OpenArgs Struct Reference

`#include <videoio.h>`

## Public Member Functions

| OpenArgs ()

## Public Attributes

PPluginManager * | pluginMgr
PString | driverName
PString | deviceName
VideoFormat | videoFormat
int | channelNumber
PString | colourFormat
bool | convertFormat
unsigned | rate
unsigned | width
unsigned | height
bool | convertSize
ResizeMode | resizeMode
bool | flip
int | brightness
int | whiteness
int | contrast
int | colour
int | hue

## Constructor & Destructor Documentation

PVideoDevice::OpenArgs::OpenArgs | ( |  | ) |

## Member Data Documentation

int PVideoDevice::OpenArgs::brightness

int PVideoDevice::OpenArgs::channelNumber

int PVideoDevice::OpenArgs::colour

PString PVideoDevice::OpenArgs::colourFormat

int PVideoDevice::OpenArgs::contrast

bool PVideoDevice::OpenArgs::convertFormat

bool PVideoDevice::OpenArgs::convertSize

PString PVideoDevice::OpenArgs::deviceName

PString PVideoDevice::OpenArgs::driverName

bool PVideoDevice::OpenArgs::flip

unsigned PVideoDevice::OpenArgs::height

int PVideoDevice::OpenArgs::hue

PPluginManager* PVideoDevice::OpenArgs::pluginMgr

unsigned PVideoDevice::OpenArgs::rate

ResizeMode PVideoDevice::OpenArgs::resizeMode

VideoFormat PVideoDevice::OpenArgs::videoFormat

int PVideoDevice::OpenArgs::whiteness

unsigned PVideoDevice::OpenArgs::width

The documentation for this struct was generated from the following file:

- videoio.h